<?php require_once('Connections/paivaconex.php'); 
require_once('funcoes.php'); 

?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

mysql_select_db($database_paivaconex, $paivaconex);
$query_grupo_despesas = "Select ContaResultado, mfin_contas.Nome FROM mfin_recebimentos INNER JOIN mfin_clientes ON Cliente_Id=mfin_clientes.Id INNER JOIN mfin_contas ON ContaResultado=mfin_contas.Id INNER JOIN mfin_grupocontas ON Grupo=mfin_grupocontas.Id Where if(Recebimento <> '0', Recebimento, Vencimento) >='".convertdatamais($_GET['data_ini'],  0)."' AND if(Recebimento <> '0', Recebimento, Vencimento) <='".convertdatamais($_GET['data_ini'],  $_GET['numero'])."' AND Grupo=".$_GET['Grupo']." Group by mfin_contas.Id Order by mfin_contas.Ordem";
$grupo_despesas = mysql_query($query_grupo_despesas, $paivaconex) or die(mysql_error());
$row_grupo_despesas = mysql_fetch_assoc($grupo_despesas);
$totalRows_grupo_despesas = mysql_num_rows($grupo_despesas);

mysql_select_db($database_paivaconex, $paivaconex);
$query_grupo_despesas2 = "Select ContaResultado, mfin_contas.Nome FROM mfin_recebimentos INNER JOIN mfin_clientes ON Cliente_Id=mfin_clientes.Id INNER JOIN mfin_contas ON ContaResultado=mfin_contas.Id INNER JOIN mfin_grupocontas ON Grupo=mfin_grupocontas.Id Where if(Recebimento <> '0', Recebimento, Vencimento) >='".convertdatamais($_GET['data_ini'],  0)."' AND if(Recebimento <> '0', Recebimento, Vencimento) <='".convertdatamais($_GET['data_ini'],  $_GET['numero'])."' AND Grupo=".$_GET['Grupo']." Group by mfin_contas.Id  Order by mfin_contas.Ordem";
$grupo_despesas2 = mysql_query($query_grupo_despesas2, $paivaconex) or die(mysql_error());
$row_grupo_despesas2 = mysql_fetch_assoc($grupo_despesas2);
$totalRows_grupo_despesas2 = mysql_num_rows($grupo_despesas2);


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Fluxo de Caixa</title>
<style type="text/css">
body {background-color:#FFF;}
a {color:#000;}

</style>

</head>

<body>
<strong><a href="index.php">Voltar</a></strong>
<table width="1311" height="979" border="0">
  <tr>
    <td width="350" >&nbsp;</td>
    <td height="43" style="text-align: center; font-size: 36px;">&nbsp;</td>
  </tr>
  <tr>
    <td width="347" valign="top" ><strong>
      <table border="1" style="border-collapse:collapse">
        <tr>
          <td width="350" bgcolor="#CCCCCC" class="fluxo" >Detalhe</td>
        </tr>
        <?php do { ?>
        <tr class="fluxo">
          <td class="fluxo"><?php echo $row_grupo_despesas2['Nome']; ?></td>
          
        </tr>
        <?php } while ($row_grupo_despesas2 = mysql_fetch_assoc($grupo_despesas2)); ?>
        <tr class="fluxo">
          <td bgcolor="#CCCCCC" class="fluxo">Total</td>
          
        </tr>
      </table>
    </strong></td>
    <td width="954" height="930" valign="top"><strong>
	<div style="width:1000px; overflow-x:scroll; scrollbar-face-color:#4682B4;">
      <div style="width:5000px;">
      <table border="1" style="border-collapse:collapse">
        <tr>

    <?php for ($i = 0; $i <= $_GET['numero']; $i++) { ?>
    	<td width="100" align="center" bgcolor="#CCCCCC" class="fluxo" ><?php echo date('d/m',  dataemnumero($_GET['data_ini'],  $i)).' '.diasemana(date('w',  dataemnumero($_GET['data_ini'],  $i))); ?></td>
    <?php } ?>
    <td width="100" align="center" bgcolor="#CCCCCC" class="fluxo" >Total</td>
    
    
  </tr>
  
  
  <?php do { ?>
      <tr class="fluxo">
        

        
        <?php 
		$totalizador = 0;
		for ($i = 0; $i <= $_GET['numero']; $i++) { 
		
		$query_grupo_despesas_val = "Select Sum(Juros + Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3- 0) as vl, ContaResultado FROM mfin_recebimentos INNER JOIN mfin_clientes ON Cliente_Id=mfin_clientes.Id INNER JOIN mfin_contas ON ContaResultado=mfin_contas.Id INNER JOIN mfin_grupocontas ON Grupo=mfin_grupocontas.Id Where if(Recebimento <> '0', Recebimento, Vencimento) ='".convertdatamais($_GET['data_ini'],  $i)."' AND mfin_contas.Id ='".$row_grupo_despesas['ContaResultado']."'";
		$grupo_despesas_val = mysql_query($query_grupo_despesas_val, $paivaconex) or die(mysql_error());
		$row_grupo_despesas_val = mysql_fetch_assoc($grupo_despesas_val);

		?>
        
        
        	<td align="right" class="fluxo"><a href="recebimentos.php?data_ini=<?php echo date('d/m/Y',  dataemnumero($_GET['data_ini'],  $i)).'&ContaResultado='.$row_grupo_despesas_val['ContaResultado'];?>" class="fluxo" ><?php echo number_format($row_grupo_despesas_val['vl'],2,',','.'); ?></a></td>
        
		
		<?php $totalizador += $row_grupo_despesas_val['vl'];  
		} ?>
        
        <td align="right" class="fluxo"><?php echo number_format($totalizador,2,',','.'); ?></td>
        
        
      </tr>
      <?php } while ($row_grupo_despesas = mysql_fetch_assoc($grupo_despesas)); ?>
    
  
  
  
  
  
   <tr class="fluxo">

   
   <?php 
		$totalizador = 0;
		for ($i = 0; $i <= $_GET['numero']; $i++) { 
		
		$query_grupo_despesas_val = "Select Sum(Juros + Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3- 0) as vl FROM mfin_recebimentos INNER JOIN mfin_clientes ON Cliente_Id=mfin_clientes.Id INNER JOIN mfin_contas ON ContaResultado=mfin_contas.Id INNER JOIN mfin_grupocontas ON Grupo=mfin_grupocontas.Id Where if(Recebimento <> '0', Recebimento, Vencimento) ='".convertdatamais($_GET['data_ini'],  $i)."' AND Grupo=".$_GET['Grupo'];
		$grupo_despesas_val = mysql_query($query_grupo_despesas_val, $paivaconex) or die(mysql_error());
		$row_grupo_despesas_val = mysql_fetch_assoc($grupo_despesas_val);

		
		
		
		?>
        
        
       	  <td align="right" bgcolor="#CCCCCC" class="fluxo"><?php echo number_format($row_grupo_despesas_val['vl'],2,',','.'); ?></td>
        
		
		<?php $totalizador += $row_grupo_despesas_val['vl'];  
		} ?>
        
        <td align="right" bgcolor="#CCCCCC" class="fluxo"><?php echo number_format($totalizador,2,',','.'); ?></td>
        
   
   
   
</tr>
  
  
</table>
</div>
</div>
	
    
	</strong></td>
  </tr>
</table> 
</body>
</html>
<?php
mysql_free_result($grupo_despesas);
?>
